Bug 220057 - Using dhcpclass to modify DHCP VCI is broken
Using dhcpclass to modify DHCP VCI is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 13:17 EST by Dax Kelson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:52:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-12-18 13:17:45 EST
Description of problem:

Short description:
------------------
Anaconda always sends a VCI of "anaconda" no matter the value supplied via the
dhcpclass option.

Longer description:
-------------------

We kickstart install many versions of RHEL/Fedora and make use of Anaconda's
"dhcpclass" option and conditional logic in the DHCP server to use the proper
kickstart file.

In RHEL5betas and FC6 it is broken it did work fine RHEL4/FC3 and earlier.

I boot the client with "dhcpclass=RHEL5 ks" however instead of sending "RHEL5"
as the Vendor Class Identifier (VCI) it sends "anaconda".

I'm able to see what VCI is sent by modifying my dhcpd.conf to have:
log (info, concat ( "DHCP VCI: " , option vendor-class-identifier ) ) ;

This is a big issue for us and will cause a lot of headache if RHEL5 ships with
this broken. I know that many other much larger sites (govt labs, etc) then use
make use of this feature.
Comment 2 David Cantrell 2006-12-18 14:06:11 EST
You're right.  This is a regression from RHEL4.  The dhcpclass= parameter is
still recognized by the loader, but at some point I replaced it with the string
"anaconda" (most likely during testing of FC6) and it never surfaced until now.

I've corrected the problem in CVS.  Thanks.
Comment 3 RHEL Product and Program Management 2007-02-07 20:52:03 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.